=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddir=Build --build-system=cmake

override_dh_auto_configure:
	dh_auto_configure --builddirectory=Build --buildsystem=cmake -- -DUSE_STATIC_CODEC2=False -DUSE_STATIC_SPEEXDSP=False

false_override_dh_auto_install:
	dh_auto_install
	/usr/bin/install --mode=0644 -D contrib/freedv.desktop debian/freedv/usr/share/applications/freedv.desktop
	for r in 48x48 64x64 128x128 256x256 ; do /usr/bin/install --mode=0644 -D contrib/freedv$$r.png debian/freedv/usr/share/icons/hicolor/$$r/apps/freedv.png ; done
