=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
     dlg_filter.cpp
     dlg_options.cpp
     dlg_ptt.cpp
+    dlg_plugin.cpp
     fdmdv2_main.cpp
     fdmdv2_pa_wrapper.cpp
     fdmdv2_plot.cpp
@@ -11,6 +12,7 @@
     fdmdv2_plot_spectrum.cpp
     fdmdv2_plot_waterfall.cpp
     hamlib.cpp
+    serialport.cpp
     topFrame.cpp
     sox_biquad.c
     comp.h
@@ -28,7 +30,21 @@
     fdmdv2_plot_waterfall.h
     hamlib.h
     sox_biquad.h
-    sox.h
+    sox/band.h
+    sox/biquad.c
+    sox/biquads.c
+    sox/biquad.h
+    sox/effects.c
+    sox/effects.h
+    sox/effects_i.c
+    sox/formats_i.c
+    sox/libsox.c
+    sox/sox.h
+    sox/sox_i.h
+    sox/soxomp.h
+    sox/util.h
+    sox/xmalloc.h
+    sox/xmalloc.c
     topFrame.h
     version.h
 )
