=== debian/changelog ===
freedv (1.2.2-3) unstable; urgency=medium

  * Use local sox biquad filter code (Closes: #882203)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 27 Nov 2017 23:39:59 -0500

freedv (1.2.2-2) unstable; urgency=medium

  * Better Description, omit unnecessary link with libXxf86vm

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 12:35:18 -0400

freedv (1.2.2-1) unstable; urgency=medium

  * New upstream release, using new modes in codec2 0.7
    Improvements to Hamlib support, error message reporting, serial rate box.
    Disabled unused UDP comms/egexp processing to clean up Options dialog.
  * include AppStream metadata Comment in desktop file (LP: #1646467)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 15 Aug 2017 22:38:34 -0400

freedv (1.2-1) experimental; urgency=medium

  * New upstream release
  * http://www.rowetel.com/?p=5456

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 15 Feb 2017 22:10:13 -0500

freedv (1.1.0.3026-1) experimental; urgency=low

  * New upstream experimental trials - svn 3026
  * Highlights: FreeDV 1.2 / Codec2 0.6 test release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 29 Jan 2017 16:07:00 -0500
