=== debian/control ===
Source: freedv
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9~),
	       libcodec2-dev (>= 0.7),
               libhamlib-dev,
               libsamplerate-dev,
               libsndfile-dev,
               libspeexdsp-dev,
               libwxgtk3.0-dev,
               portaudio19-dev
Standards-Version: 4.1.1
Homepage: http://freedv.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/freedv.git/
Vcs-Git: git://anonscm.debian.org/pkg-hamradio/freedv.git

Package: freedv
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: digital voice mode for HF radio
 FreeDV is a digital voice mode intended for transmission and
 reception over high-frequency (HF) radio. It uses about half the
 bandwidth of traditional analog single-sideband (SSB) voice. A low
 bit-rate voice coder-decoder (Codec 2) provides voice quality without
 the listener fatigue caused by noise and interference normally
 associated with analog single sideband (SSB) voice. A HF SSB
 transceiver, personal computer and two sound cards are required. Path
 simulation and on-the-air HF testing have shown that decoding voice
 is possible at a signal-to-noise ratio of 4 dB.
 .
 The FreeDV software was developed by David Rowe (Codec 2, FDM
 modem implementation, integration) and David Witten (GUI,
 architecture design). The FreeDV design and user interface was based
 on the earlier FDMDV program which was developed by Francesco
 Lanza. The FDM modem design and development was supported from Peter
 Martinez.
