=== debian/watch ===
version=3
 https://files.freedv.org/freedv/ freedv-(.+)\.tar\.xz
