## freedv 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,13 +30,14 @@
 # Set FreeDV version and generate src/version.h
 #
 set(FREEDV_VERSION_MAJOR 1)
-set(FREEDV_VERSION_MINOR 2)
-set(FREEDV_VERSION_PATCH 2)
+set(FREEDV_VERSION_MINOR 3)
+set(FREEDV_VERSION_PATCH 1)
+set(FREEDV_VERSION_SUFFIX FALSE)
+
 set(FREEDV_VERSION ${FREEDV_VERSION_MAJOR}.${FREEDV_VERSION_MINOR})
 if(FREEDV_VERSION_PATCH)
     set(FREEDV_VERSION ${FREEDV_VERSION}.${FREEDV_VERSION_PATCH})
 endif()
-set(FREEDV_VERSION_SUFFIX FALSE)
 if(FREEDV_VERSION_SUFFIX)
     set(FREEDV_VERSION_STRING "${FREEDV_VERSION} ${FREEDV_VERSION_SUFFIX}")
 else()
@@ -47,27 +48,27 @@
 
 # Set default build type
 if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE "Debug")
+    set(CMAKE_BUILD_TYPE "Release")
     message(STATUS "Build type not specified, defaulting to ${CMAKE_BUILD_TYPE}")
 endif(NOT CMAKE_BUILD_TYPE)
 
 # Work around for not using a svn working copy.
 add_definitions(-D_NO_AUTOTOOLS_)
-find_program(SVN_PATH svn)
-if(SVN_PATH)
-    execute_process(COMMAND ${SVN_PATH} info --show-item revision
-        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-        RESULT_VARIABLE SVN_REVISION_RESULT
-        OUTPUT_VARIABLE SVN_CURRENT_REVISION
-        ERROR_QUIET
-    )
-else()
-    set(SVN_REVISION_RESULT 1)
-endif()
-
-if(SVN_REVISION_RESULT EQUAL 0)
-    string(STRIP ${SVN_CURRENT_REVISION} SVN_REVISION)
-    add_definitions(-DSVN_REVISION="${SVN_REVISION}")
+
+#
+# Find the svn revision if this is a working copy.
+#
+get_filename_component(_src_dir "${CMAKE_SOURCE_DIR}" NAME)
+if("${_src_dir}" STREQUAL "freedv-dev")
+    find_package(Subversion QUIET)
+    if(Subversion_FOUND)
+        Subversion_WC_INFO(${CMAKE_CURRENT_SOURCE_DIR} FREEDV)
+        message(STATUS "FreeDV svn revision: ${FREEDV_WC_REVISION}")
+        add_definitions(-DSVN_REVISION="${FREEDV_WC_REVISION}")
+    else(Subversion_FOUND)
+        message(WARNING "Subversion not found. Can not determine svn revision.")
+        add_definitions(-DSVN_REVISION="Unknown")
+    endif(Subversion_FOUND)
 else()
     add_definitions(-DSVN_REVISION="None")
 endif()
@@ -94,7 +95,7 @@
     "Download and build static samplerate instead of the system library.")
 set(USE_STATIC_CODEC2 TRUE CACHE BOOL
     "Download and build static codec2 instead of the system library.")
-set(USE_STATIC_SPEEXDSP TRUE CACHE BOOL
+set(USE_STATIC_SPEEXDSP FALSE CACHE BOOL
     "Download and build static speex instead of the system library.")
 set(BOOTSTRAP_WXWIDGETS FALSE CACHE BOOL
     "Download and build static wxWidgets instead of the system library.")
@@ -131,6 +132,9 @@
 #
 if(MINGW)
     message(STATUS "System is MinGW.")
+    # Default to static build of portaudio until I can figure out why the
+    # shared DLL doesn't work.
+    set(USE_STATIC_PORTAUDIO TRUE)
     # Setup HOST variable.
     include(cmake/MinGW.cmake)
     # This sets up the exe icon for windows under mingw.
@@ -196,6 +200,27 @@
 #
 # Find codec2
 #
+if(CODEC2_BUILD_DIR)
+    set(USE_STATIC_CODEC2 OFF CACHE BOOL "" FORCE)
+    message(STATUS "Using codec2 from build directory...")
+    get_filename_component(CODEC2_BUILD_DIR ${CODEC2_BUILD_DIR} 
+        ABSOLUTE BASE_DIR ${CMAKE_BINARY_DIR})
+    message(STATUS "  Build include dir: ${CODEC2_BUILD_DIR}")
+    load_cache(${CODEC2_BUILD_DIR} codec2_SOURCE_DIR)
+    find_path(CODEC2_SOURCE_INCLUDE_DIR codec2.h
+        PATHS ${codec2_SOURCE_DIR}
+        PATH_SUFFIXES src
+        NO_DEFAULT_PATH)
+    message(STATUS "  Source include dir: ${CODEC2_SOURCE_INCLUDE_DIR}")
+    find_library(CODEC2_LIBRARY NAMES codec2
+        PATHS ${CODEC2_BUILD_DIR}
+        PATH_SUFFIXES src
+        NO_DEFAULT_PATH)
+    message(STATUS "  Library: ${CODEC2_LIBRARY}")
+    list(APPEND FREEDV_LINK_LIBS ${CODEC2_LIBRARY})
+    include_directories(${CODEC2_SOURCE_INCLUDE_DIR}
+        ${CODEC2_BUILD_DIR})
+else(CODEC2_BUILD_DIR)
 if(NOT USE_STATIC_CODEC2)
     message(STATUS "Looking for codec2...")
     # 'CONFIG' removed due to incompatibility with cmake version
@@ -228,6 +253,8 @@
     message(STATUS "Will attempt static build of codec2.")
     include(cmake/BuildCodec2.cmake)
 endif(NOT USE_STATIC_CODEC2)
+endif(CODEC2_BUILD_DIR)
+
 
 #
 # Find or build portaudio Library
@@ -248,7 +275,7 @@
 On Windows it's easiest to use the cmake option: USE_STATIC_PORTAUDIO"
         )
     endif()
-    if(NOT ${PORTAUDIO_VERSION} EQUAL 19)
+    if(NOT ${PORTAUDIO_VERSION} EQUAL 19 AND NOT MINGW)
         message(WARNING "Portaudio versions other than 19 are known to have issues. You have been warned!")
     endif()
 else(NOT USE_STATIC_PORTAUDIO)
@@ -262,8 +289,8 @@
 message(STATUS "Looking for hamlib...")
 find_path(HAMLIB_INCLUDE_DIR hamlib/rig.h)
 find_library(HAMLIB_LIBRARY hamlib PATH_SUFFIXES hamlib)
-message(STATUS "Hamlib library: ${HAMLIB_LIBRARY}")
-message(STATUS "Hamlib headers: ${HAMLIB_INCLUDE_DIR}")
+message(STATUS "  Hamlib library: ${HAMLIB_LIBRARY}")
+message(STATUS "  Hamlib headers: ${HAMLIB_INCLUDE_DIR}")
 if(HAMLIB_LIBRARY AND HAMLIB_INCLUDE_DIR)
     message(STATUS "Hamlib library found.")
     include_directories(${HAMLIB_INCLUDE_DIR})
@@ -298,37 +325,3 @@
         )
     endif(LIBSAMPLERATE AND LIBSAMPLERATE_INCLUDE_DIR)
 else(NOT USE_STATIC_SAMPLERATE)
-    message(STATUS "Will attempt static build of samplerate.")
-    include(cmake/BuildSamplerate.cmake)
-endif(NOT USE_STATIC_SAMPLERATE)
-
-#    
-# sndfile Library
-#
-if(NOT USE_STATIC_SNDFILE)
-    message(STATUS "Looking for sndfile...")
-    find_library(LIBSNDFILE sndfile)
-    find_path(LIBSNDFILE_INCLUDE_DIR sndfile.h)
-    message(STATUS "  sndfile library: ${LIBSNDFILE}")
-    message(STATUS "  sndfile headers: ${LIBSNDFILE_INCLUDE_DIR}")
-    if(LIBSNDFILE AND LIBSNDFILE_INCLUDE_DIR)
-        list(APPEND FREEDV_LINK_LIBS ${LIBSNDFILE})
-    else(LIBSNDFILE AND LIBSNDFILE_INCLUDE_DIR)
-        message(FATAL_ERROR "sndfile library not found.
-On Linux systems try installing:
-    libsndfile-devel (RPM based systems)
-    libsndfile-dev   (DEB based systems)
-On Windows it's easiest to use the cmake option: USE_STATIC_SNDFILE"
-        )
-    endif(LIBSNDFILE AND LIBSNDFILE_INCLUDE_DIR)
-else(NOT USE_STATIC_SNDFILE)
-    message(STATUS "Will attempt static build of sndfile.")
-    include(cmake/BuildSndfile.cmake)
-endif(NOT USE_STATIC_SNDFILE)
-
-#
-# Find wxWidgets
-#
-if(NOT BOOTSTRAP_WXWIDGETS)
-    set(WXCONFIG "" CACHE FILEPATH "Location of wx-config binary.")
-    set(WXRC "" CACHE FILEPATH "Location of wxrc binary.")
