=== debian/changelog ===
freedv (1.3.1-3) unstable; urgency=medium

  * Change VCS links to salsa

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 11 Aug 2018 21:47:07 -0400

freedv (1.3.1-2) unstable; urgency=medium

  * noise fix from 10 June 2018
  "FreeDV 1.3.1 shipped with a noise simulator turned on by accident.
  Injected noise to create a 2 dB SNR.
  Despite this many people were working long-range communications!"

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 11 Aug 2018 19:20:08 -0400

freedv (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * support codec2 0.8.1 (Closes: #903225)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 16 Jul 2018 22:52:22 -0400

freedv (1.3-1) unstable; urgency=medium

  * New upstream release
  * new 700D mode

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 27 May 2018 09:00:07 -0400
