=== debian/watch ===
version=3
 https://hobbes1069.fedorapeople.org/freetel/freedv/ freedv-(.+)\.tar\.xz
