## freedv 1.4

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -51,13 +51,29 @@
 
 # WIN32 is needed for Windows GUI apps and is ignored for UNIX like systems.
 add_executable(freedv WIN32 ${FREEDV_SOURCES} ${RES_FILES})
-target_link_libraries(freedv ${FREEDV_LINK_LIBS})
-include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
+
+# Link imported or build tree targets.
+target_link_libraries(freedv codec2 lpcnetfreedv)
+
+# Add build dependencies for interally built external libraries.
+if(USE_INTERNAL_CODEC2)
+    add_dependencies(freedv build_codec2 build_lpcnetfreedv)
+endif()
+
+# Add depenencies for other statically built libraries, if applicable.
 if(FREEDV_STATIC_DEPS)
     add_dependencies(freedv ${FREEDV_STATIC_DEPS})
 endif(FREEDV_STATIC_DEPS)
+
+# Link other dependencies
+target_link_libraries(freedv ${FREEDV_LINK_LIBS})
+
+# Insert source and generated header directories before other search directories.
+include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
+
 install(TARGETS freedv
-    RUNTIME DESTINATION bin)
+    RUNTIME DESTINATION bin
+)
 
 # Custom commands to build OSX images.
 if(APPLE)
@@ -70,10 +86,10 @@
         COMMAND cp ARGS ${CMAKE_CURRENT_SOURCE_DIR}/freedv.icns FreeDV.app/Contents/Resources
         COMMAND echo ARGS -n "APPL????" > FreeDV.app/Contents/PkgInfo
         COMMAND cp ARGS freedv FreeDV.app/Contents/MacOS/FreeDV
-        COMMAND dylibbundler ARGS -od -b -x FreeDV.app/Contents/MacOS/FreeDV -d FreeDV.app/Contents/libs -p @executable_path/../libs/
+        COMMAND DYLD_LIBRARY_PATH=${CODEC2_BUILD_DIR}/src:${LPCNET_BUILD_DIR}/src:${DYLD_LIBRARY_PATH} ${CMAKE_SOURCE_DIR}/macdylibbundler/dylibbundler ARGS -od -b -x FreeDV.app/Contents/MacOS/FreeDV -d FreeDV.app/Contents/libs -p @loader_path/../libs/
         COMMAND mkdir dist_tmp
         COMMAND cp -r FreeDV.app dist_tmp
-        COMMAND hdiutil create -srcfolder dist_tmp/ -volname FreeDV -format UDZO ./FreeDV.dmg
+        COMMAND hdiutil create -srcfolder dist_tmp/ -volname FreeDV -format UDZO -fs HFS+ ./FreeDV.dmg
         COMMAND rm -rf dist_tmp
     )
 endif(APPLE)
