=== debian/changelog ===
freedv (1.4-2) unstable; urgency=medium

  * Acknowledge NMU and rebuild without buggy AVX instruction test
  * Point watch file at github.com/drowe67/freedv-gui

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 17 Feb 2020 12:42:28 -0500

freedv (1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Put x86 specific code behind ifdefs (Closes: 947828).

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 Jan 2020 10:09:41 +0000

freedv (1.4-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Nov 2019 22:32:07 -0500
