=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9~),
-	       libcodec2-dev (>= 0.8.1),
+	       libcodec2-dev (>= 0.9),
                libhamlib-dev,
                libsamplerate-dev,
                libsndfile-dev,
                libspeexdsp-dev,
-               libwxgtk3.0-dev,
+               libwxgtk3.0-gtk3-dev,
                portaudio19-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: http://freedv.org/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/freedv
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/freedv.git
